#include "errormsg.h"

static const char SUCCESS[] = "SUCCESS";
static const char UNKNOWN_ERROR[] = "unknown error code";
static const char WRONG_BOARD_HANDLE[] = "wrong handle parameter of the board (driver internal error)"; /* this error doesn't relate to the filedescriptor */
static const char WRONG_NUMBER_OF_CHANNELS[] = "Wrong number of channels";
static const char WRONG_CHANNEL_NUMBER[] = "Wrong channel number";
static const char WRONG_GAIN_FACTOR[] = "Wrong gain factor";
static const char WRONG_POLARITY[] = "Wrong polarity";
static const char WRONG_SINGLEDIFF[] = "Wrong single diff parameter (not 0 or 1)";
static const char WRONG_DELAY_MODE[] = "Wrong delay mode parameter";
static const char WRONG_DELAY_TIMEUNIT[] = "Wrong delay time unit parameter";
static const char WRONG_DELAY_TIME[] = "Wrong delay time parameter";
static const char CONVERSION_STARTED[] = "A conversion is already started";
static const char NO_AUTORESFRESH[] = "Auto refresh not initialized";
static const char INVALID_SINGLEDIFF[] = "Requested single/differential mode not supported by the board";
static const char TIMEOUT[] = "timeout";

const char* msg_CMD_APCI3200_InitAnalogInputChannel(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		case 1:
			return TIMEOUT;
		default:
			return UNKNOWN_ERROR;
	}
}

const char* msg_CMD_APCI3200_ReadCJCValue(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		case 1:
			return TIMEOUT;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_ReadCalibrationGainValue(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		case 1:
			return TIMEOUT;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_ReadCalibrationOffsetValue(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		case 1:
			return TIMEOUT;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_ReadCJCCalibrationGainValue(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		case 1:
			return TIMEOUT;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_ReadCJCCalibrationOffsetValue(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		case 1:
			return TIMEOUT;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_ReadChannelCalibrationValue(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_Read1AnalogInputChannel(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		case 1:
			return TIMEOUT;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_ReadReferenceVoltage(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_SetConvertingTime(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_Read1AnalogInputChannelFast(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_ReadCalibrationGainValueFast(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_ReadCalibrationOffsetValueFast(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_ReadCJCValueFast(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_SetDiagnosticMode(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_InitScanModuleAcquisitionSensor(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_InitScanModuleAcquisition(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		default:
			return UNKNOWN_ERROR;
	}
}
const char* msg_CMD_APCI3200_StartScanModuleAcquisition(int nb)
{
	switch(nb)
	{
		case 0:
			return SUCCESS;
		default:
			return UNKNOWN_ERROR;
	}
}
